#language: ru

@tma

Функционал: 012. Tma. Завершение маркетингового мероприятия

Сценарий: 012.1. Tma. Завершение маркетингового мероприятия

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2ЗавершениеМаркетинговогоМероприятия" без контроля ссылок
	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Маркетинговое мероприятие'
	Тогда открылось окно 'Маркетинговое мероприятие'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Организация' | 'Ответственный' | 'Профиль акции'   | 'Статус'     |
		| '18.06.2019' | 'Организация' | 'Администратор' | 'Профиль акции 1' | 'Утверждена' |
	И я нажимаю на кнопку 'Завершение маркетингового мероприятия'
	Тогда открылось окно 'Завершение маркетингового мероприятия (создание)'
	И в поле 'от' я ввожу текст '25.06.2019  0:00:00'
	И элемент формы "Маркетинговое мероприятие" стал равен "Акция с 18.06.19 по 22.06.19 для Магнит; Лента"
	И из выпадающего списка "Статус завершения" я выбираю точное значение 'Плановое завершение'
	И я перехожу к закладке "Показатели"
	Тогда таблица "Показатели" стала равной:
		| 'Количество факт' | 'Себестоимость' | 'Номенклатура'  | 'Затраты логистики на единицу' | 'Характеристика'    | 'Единица измерения' | 'Контрагент' | 'Сумма факт' | 'Дополнительные затраты' | 'Маржа факт' |
		| '200,00'          | '75,00'         | 'Брынза'        | '10,00'                        | 'Фасованный 200 гр' | ''                  | 'Магнит'     | '20 000,00'  | ''                       | '3 000,00'   |
		| '400,00'          | '75,00'         | 'Брынза'        | '10,00'                        | 'Фасованный 200 гр' | ''                  | 'Лента'      | '44 000,00'  | ''                       | '10 000,00'  |
		| '300,00'          | '70,00'         | 'Сливочный сыр' | ''                             | 'Фасованный 200 гр' | ''                  | 'Магнит'     | '27 000,00'  | ''                       | '6 000,00'   |
		| '600,00'          | '70,00'         | 'Сливочный сыр' | ''                             | 'Фасованный 200 гр' | ''                  | 'Лента'      | '57 000,00'  | ''                       | '15 000,00'  |
	Тогда таблица "ДополнительныеЗатраты" стала равной:
		| 'Статья затрат' | 'Статья бюджета'      | 'Планируемые доп. затраты' | 'Фактические доп. затраты' | 'Вариант распределения' | 'Ассортимент'      |
		| 'Доп. затраты'  | 'Статья бюджета(ТМА)' | '5 000,00'                 | ''                         | 'Пропорционально марже' | 'Весь ассортимент' |
	И в таблице "ДополнительныеЗатраты" я нажимаю на кнопку 'Заполнить факт дополнительных затрат по плану'
	Тогда таблица "ДополнительныеЗатраты" стала равной:
		| 'Статья затрат' | 'Статья бюджета'      | 'Планируемые доп. затраты' | 'Фактические доп. затраты' | 'Вариант распределения' | 'Ассортимент'      |
		| 'Доп. затраты'  | 'Статья бюджета(ТМА)' | '5 000,00'                 | '5 000,00'                 | 'Пропорционально марже' | 'Весь ассортимент' |
	И в таблице "ДополнительныеЗатраты" в поле 'Фактические доп. затраты' я ввожу текст '5 500,00'
	И в таблице "ДополнительныеЗатраты" я завершаю редактирование строки
	Тогда таблица "ДополнительныеЗатраты" стала равной:
		| 'Статья затрат' | 'Статья бюджета'      | 'Планируемые доп. затраты' | 'Фактические доп. затраты' | 'Вариант распределения' | 'Ассортимент'      |
		| 'Доп. затраты'  | 'Статья бюджета(ТМА)' | '5 000,00'                 | '5 500,00'                 | 'Пропорционально марже' | 'Весь ассортимент' |
	И я нажимаю на кнопку 'Распределить дополнительные затраты'
	Тогда таблица "Показатели" стала равной:
		| 'Количество факт' | 'Себестоимость' | 'Номенклатура'  | 'Затраты логистики на единицу' | 'Характеристика'    | 'Единица измерения' | 'Контрагент' | 'Сумма факт' | 'Дополнительные затраты' | 'Маржа факт' |
		| '200,00'          | '75,00'         | 'Брынза'        | '10,00'                        | 'Фасованный 200 гр' | ''                  | 'Магнит'     | '20 000,00'  | '485,29'                 | '2 514,71'   |
		| '400,00'          | '75,00'         | 'Брынза'        | '10,00'                        | 'Фасованный 200 гр' | ''                  | 'Лента'      | '44 000,00'  | '1 617,65'               | '8 382,35'   |
		| '300,00'          | '70,00'         | 'Сливочный сыр' | ''                             | 'Фасованный 200 гр' | ''                  | 'Магнит'     | '27 000,00'  | '970,59'                 | '5 029,41'   |
		| '600,00'          | '70,00'         | 'Сливочный сыр' | ''                             | 'Фасованный 200 гр' | ''                  | 'Лента'      | '57 000,00'  | '2 426,47'               | '12 573,53'  |
	И я перехожу к закладке "Бюджет"
	И в таблице "Бюджет" я нажимаю на кнопку 'Обновить'
	Тогда таблица "Бюджет" стала равной:
		| 'Месяц'        | 'Группа планирования' | 'План по тек. акции' | 'Товарная категория' | 'Статья бюджета'      | 'Факт по тек. акции' |
		| 'Июнь 2019 г.' | 'Лента'               | '5 178,57'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '8 426,47'           |
		| 'Июнь 2019 г.' | 'Магнит'              | '5 178,57'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '3 970,59'           |
		| 'Июнь 2019 г.' | 'Лента'               | '8 571,43'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '9 617,65'           |
		| 'Июнь 2019 г.' | 'Магнит'              | '8 571,43'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '4 485,29'           |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Завершение маркетингового мероприятия (создание) *' в течение 20 секунд
	Тогда открылось окно 'Маркетинговое мероприятие'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Акция с * по * для Магнит; Лента'
	И элемент формы "Статус" стал равен "Завершена"
	И Я закрываю окно 'Акция с * по * для Магнит; Лента'
	Тогда открылось окно 'Маркетинговое мероприятие'
	И Я закрываю окно 'Маркетинговое мероприятие'

Сценарий: 012.2. Tma. Завершение

	И Я закрыл все окна клиентского приложения